###############################################################################
# Copyright (c) 2000-2025 Ericsson Telecom AB
# All rights reserved. This program and the accompanying materials
# are made available under the terms of the Eclipse Public License v2.0
# which accompanies this distribution, and is available at
# https://www.eclipse.org/org/documents/epl-2.0/EPL-2.0.html
#
# Contributors:
#   Balasko, Jeno
#   Szabo, Janos Zoltan – initial implementation
#   Szabo, Bence Janos
#
###############################################################################
[MODULE_PARAMETERS]
tsp_f_changed1 := 1.2+3.6/2.0
#Stops at reading cfg file:
#Error while setting parameter field 'tsp_f_changed2' to '3.600000 / 0.000000': Floating point division by zero
#tsp_f_changed2 := 1.2+3.8/0.0; //division zero
tsp_f_changed2 := -tsp_f_changed1+2.0*1.5-1.3
[LOGGING]
Logfile := "floatOper.log"
FileMask := LOG_ALL
ConsoleMask := TTCN_WARNING | TTCN_ERROR | TTCN_TESTCASE | TTCN_STATISTICS
[EXECUTE]
TfloatOper
TfloatOperSpecial
